import { z } from 'zod';

import {
  blogGetOneParamsParser,
  blogListQueryParser,
  blogCreateInputParser,
  blogUpdateParamsParser,
  blogUpdateInputParser,
  blogDeleteParamsParser,
  blogGetOneResultParser,
  blogListResultParser,
} from '../blog/parsers';

export type BlogGetOneParams = z.infer<typeof blogGetOneParamsParser>;
export type BlogGetOneResult = z.infer<typeof blogGetOneResultParser>;
export type BlogListQuery = z.infer<typeof blogListQueryParser>;
export type BlogListResult = z.infer<typeof blogListResultParser>;
export type BlogCreateBody = z.infer<typeof blogCreateInputParser>;
export type BlogUpdateParams = z.infer<typeof blogUpdateParamsParser>;
export type BlogUpdateBody = z.infer<typeof blogUpdateInputParser>;
export type BlogDeleteParams = z.infer<typeof blogDeleteParamsParser>;
