import { queryOffsetLimitParser } from '../../common/parsers/queryParams';
import { z } from 'zod';
import { userIdParser } from '../../user/parsers';
import { currencyAmountParser } from '../../currencies/parsers';

export const usersBooksQueryParser = queryOffsetLimitParser.merge(
  z.object({
    userId: userIdParser.optional(),
    minAmount: currencyAmountParser.optional(),
  })
);

export const userBooksQueryParser = queryOffsetLimitParser.merge(
  z.object({
    // TODO filter per user
  })
);

export const userBooksParamsParser = queryOffsetLimitParser.merge(
  z.object({
    userId: userIdParser,
  })
);
