import { z } from 'zod';

import {
  collectiveGetOneParamsParser,
  collectiveListQueryParser,
  collectiveCreateInputParser,
  collectiveUpdateParamsParser,
  collectiveUpdateInputParser,
  collectiveDeleteParamsParser,
  collectiveGetOneResultParser,
  collectiveListResultParser,
} from '../collective/parsers';

export type CollectiveGetOneParams = z.infer<typeof collectiveGetOneParamsParser>;
export type CollectiveGetOneResult = z.infer<typeof collectiveGetOneResultParser>;
export type CollectiveListQuery = z.infer<typeof collectiveListQueryParser>;
export type CollectiveListResult = z.infer<typeof collectiveListResultParser>;
export type CollectiveCreateBody = z.infer<typeof collectiveCreateInputParser>;
export type CollectiveUpdateParams = z.infer<typeof collectiveUpdateParamsParser>;
export type CollectiveUpdateBody = z.infer<typeof collectiveUpdateInputParser>;
export type CollectiveDeleteParams = z.infer<typeof collectiveDeleteParamsParser>;
