import type { Blog } from './types';
import { z } from 'zod';
export declare const blogBeneficiaryTraitParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>, "many">;
}, "strip", z.ZodTypeAny, {
    admins: import("../user/types").UserIdBrand[];
}, {
    admins: string[];
}>;
export declare const blogListQueryParser: z.ZodObject<z.extendShape<z.extendShape<{
    limit: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>, number, string | number>>>;
}, {
    offset: z.ZodDefault<z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>>;
}>, {
    adminId: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>]>>;
}>, "strict", z.ZodTypeAny, {
    adminId?: import("../user/types").UserIdBrand | import("./id.types").BlogIdBrand | undefined;
    limit: number;
    offset: number;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
    adminId?: string | undefined;
}>;
export declare const blogListResultParser: z.ZodEffects<z.ZodArray<z.ZodAny, "many">, Blog[], any[]>;
export declare const blogIdParser: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
export declare const blogGetOneParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").BlogIdBrand;
}, {
    id: import("./id.types").BlogIdBrand;
}>;
export declare const blogGetOneResultParser: z.ZodEffects<z.ZodAny, Blog, any>;
export declare const blogDeleteParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").BlogIdBrand;
}, {
    id: import("./id.types").BlogIdBrand;
}>;
export declare const blogAdminParser: z.ZodString;
export declare const makeBlogAdminsTraitParser: <T1, T extends z.ZodType<T1, z.ZodTypeDef, T1>>(a: T) => z.ZodObject<{
    admins: T;
}, "strip", z.ZodTypeAny, z.objectUtil.addQuestionMarks<{
    admins: T["_output"];
}> extends infer T_1 ? { [k_1 in keyof T_1]: z.objectUtil.addQuestionMarks<{
    admins: T["_output"];
}>[k_1]; } : never, z.objectUtil.addQuestionMarks<{
    admins: T["_input"];
}> extends infer T_2 ? { [k_3 in keyof T_2]: z.objectUtil.addQuestionMarks<{
    admins: T["_input"];
}>[k_3]; } : never>;
export declare const makeBlogAdminsParser: <T extends string, P extends z.ZodType<T, z.ZodTypeDef, T>>(p: P) => z.ZodArray<P, "many">;
export declare const blogAdminsTraitParser: z.ZodObject<{
    admins: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    admins: string[];
}, {
    admins: string[];
}>;
export declare const blogCreateInputParser: z.ZodObject<z.extendShape<{
    aboutArtist: z.ZodString;
    artist: z.ZodString;
    artistPicSmall: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    artistPicURL: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    beneficiaryAccepted: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    communityPage: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    coverPicSmall: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    coverPicURL: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    coverPicURLSmall: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    coverResolutions: z.ZodObject<{
        small320: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small800: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small1280: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small1600: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small2000: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    }, "strip", z.ZodTypeAny, {
        small320?: string | undefined;
        small800?: string | undefined;
        small1280?: string | undefined;
        small1600?: string | undefined;
        small2000?: string | undefined;
    }, {
        small320?: string | null | undefined;
        small800?: string | null | undefined;
        small1280?: string | null | undefined;
        small1600?: string | null | undefined;
        small2000?: string | null | undefined;
    }>;
    coverSmall: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    curatorAlpha: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    createdAllowReminder: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    customlink: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    description: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    emailNewSubscribers: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    emailSettings: z.ZodObject<{
        reminderTwo: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        newSub: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        reminderThree: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        reminderFour: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        emailNewSubscriber: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        emailNewSubscriberCollective: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    }, "strip", z.ZodTypeAny, {
        reminderTwo?: boolean | undefined;
        newSub?: boolean | undefined;
        reminderThree?: boolean | undefined;
        reminderFour?: boolean | undefined;
        emailNewSubscriber?: boolean | undefined;
        emailNewSubscriberCollective?: boolean | undefined;
    }, {
        reminderTwo?: boolean | null | undefined;
        newSub?: boolean | null | undefined;
        reminderThree?: boolean | null | undefined;
        reminderFour?: boolean | null | undefined;
        emailNewSubscriber?: boolean | null | undefined;
        emailNewSubscriberCollective?: boolean | null | undefined;
    }>;
    featuredArtists: z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodString, string, string>, "many">>;
    founder: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    freetier: z.ZodDefault<z.ZodBoolean>;
    frequency: z.ZodDefault<z.ZodString>;
    launchDraft: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    launched: z.ZodDefault<z.ZodBoolean>;
    linkTitles: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    links: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
    paypal: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    'paypal_plan_2.5': z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>;
    paypal_plan_5: z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>;
    paypal_plan_10: z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>;
    paypal_product_id: z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>;
    posts: z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, import("../mixspace/id.types").MixspaceIdBrand>]>, "many">>;
    price: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>>, number | undefined, number | null | undefined>;
    profileResolutions: z.ZodObject<{
        small64: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small128: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small256: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small480: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    }, "strip", z.ZodTypeAny, {
        small64?: string | undefined;
        small128?: string | undefined;
        small256?: string | undefined;
        small480?: string | undefined;
    }, {
        small64?: string | null | undefined;
        small128?: string | null | undefined;
        small256?: string | null | undefined;
        small480?: string | null | undefined;
    }>;
    reminderLaunchSent: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    reverseTitle: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    scheduled: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    show: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    stripeProductID: z.ZodEffects<z.ZodString, import("../stripe/types").StripeProductIdBrand, string>;
    subscribers: z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, import("../mixspace/id.types").MixspaceIdBrand>]>, "many">>;
    tipButton: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    title: z.ZodDefault<z.ZodString>;
    verified: z.ZodDefault<z.ZodBoolean>;
}, {
    admins: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>, "many">;
}>, "strip", z.ZodTypeAny, {
    description?: string | undefined;
    price?: number | undefined;
    paypal?: boolean | undefined;
    artistPicSmall?: string | undefined;
    artistPicURL?: string | undefined;
    beneficiaryAccepted?: boolean | undefined;
    communityPage?: boolean | undefined;
    coverPicSmall?: string | undefined;
    coverPicURL?: string | undefined;
    coverPicURLSmall?: string | undefined;
    coverSmall?: string | undefined;
    curatorAlpha?: boolean | undefined;
    createdAllowReminder?: boolean | undefined;
    customlink?: string | undefined;
    emailNewSubscribers?: boolean | undefined;
    founder?: boolean | undefined;
    launchDraft?: string | undefined;
    reminderLaunchSent?: boolean | undefined;
    reverseTitle?: boolean | undefined;
    scheduled?: boolean | undefined;
    show?: string | undefined;
    tipButton?: boolean | undefined;
    admins: import("../user/types").UserIdBrand[];
    launched: boolean;
    stripeProductID: import("../stripe/types").StripeProductIdBrand;
    subscribers: (import("./id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("../mixspace/id.types").MixspaceIdBrand)[];
    verified: boolean;
    aboutArtist: string;
    artist: string;
    coverResolutions: {
        small320?: string | undefined;
        small800?: string | undefined;
        small1280?: string | undefined;
        small1600?: string | undefined;
        small2000?: string | undefined;
    };
    emailSettings: {
        reminderTwo?: boolean | undefined;
        newSub?: boolean | undefined;
        reminderThree?: boolean | undefined;
        reminderFour?: boolean | undefined;
        emailNewSubscriber?: boolean | undefined;
        emailNewSubscriberCollective?: boolean | undefined;
    };
    featuredArtists: string[];
    freetier: boolean;
    frequency: string;
    linkTitles: string[];
    links: string[];
    'paypal_plan_2.5': null;
    paypal_plan_5: null;
    paypal_plan_10: null;
    paypal_product_id: null;
    posts: (import("./id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("../mixspace/id.types").MixspaceIdBrand)[];
    profileResolutions: {
        small64?: string | undefined;
        small128?: string | undefined;
        small256?: string | undefined;
        small480?: string | undefined;
    };
    title: string;
}, {
    description?: string | null | undefined;
    launched?: boolean | undefined;
    price?: number | null | undefined;
    subscribers?: string[] | undefined;
    verified?: boolean | undefined;
    paypal?: boolean | null | undefined;
    artistPicSmall?: string | null | undefined;
    artistPicURL?: string | null | undefined;
    beneficiaryAccepted?: boolean | null | undefined;
    communityPage?: boolean | null | undefined;
    coverPicSmall?: string | null | undefined;
    coverPicURL?: string | null | undefined;
    coverPicURLSmall?: string | null | undefined;
    coverSmall?: string | null | undefined;
    curatorAlpha?: boolean | null | undefined;
    createdAllowReminder?: boolean | null | undefined;
    customlink?: string | null | undefined;
    emailNewSubscribers?: boolean | null | undefined;
    featuredArtists?: string[] | undefined;
    founder?: boolean | null | undefined;
    freetier?: boolean | undefined;
    frequency?: string | undefined;
    launchDraft?: string | null | undefined;
    linkTitles?: string[] | undefined;
    links?: string[] | undefined;
    posts?: string[] | undefined;
    reminderLaunchSent?: boolean | null | undefined;
    reverseTitle?: boolean | null | undefined;
    scheduled?: boolean | null | undefined;
    show?: string | null | undefined;
    tipButton?: boolean | null | undefined;
    title?: string | undefined;
    admins: string[];
    stripeProductID: string;
    aboutArtist: string;
    artist: string;
    coverResolutions: {
        small320?: string | null | undefined;
        small800?: string | null | undefined;
        small1280?: string | null | undefined;
        small1600?: string | null | undefined;
        small2000?: string | null | undefined;
    };
    emailSettings: {
        reminderTwo?: boolean | null | undefined;
        newSub?: boolean | null | undefined;
        reminderThree?: boolean | null | undefined;
        reminderFour?: boolean | null | undefined;
        emailNewSubscriber?: boolean | null | undefined;
        emailNewSubscriberCollective?: boolean | null | undefined;
    };
    'paypal_plan_2.5': null;
    paypal_plan_5: null;
    paypal_plan_10: null;
    paypal_product_id: null;
    profileResolutions: {
        small64?: string | null | undefined;
        small128?: string | null | undefined;
        small256?: string | null | undefined;
        small480?: string | null | undefined;
    };
}>;
export declare const blogCreateOutputParser: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
export declare type CreateBlogRequest = z.infer<typeof blogCreateInputParser>;
export declare type CreateBlogResponse = z.infer<typeof blogCreateOutputParser>;
export declare const blogUpdateInputParser: z.ZodObject<{
    description: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    launched: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
    price: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodNull]>>>, number | undefined, number | null | undefined>>;
    stripeProductID: z.ZodOptional<z.ZodEffects<z.ZodString, import("../stripe/types").StripeProductIdBrand, string>>;
    subscribers: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, import("../mixspace/id.types").MixspaceIdBrand>]>, "many">>>;
    verified: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
    paypal: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    aboutArtist: z.ZodOptional<z.ZodString>;
    artist: z.ZodOptional<z.ZodString>;
    artistPicSmall: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    artistPicURL: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    beneficiaryAccepted: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    communityPage: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    coverPicSmall: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    coverPicURL: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    coverPicURLSmall: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    coverResolutions: z.ZodOptional<z.ZodObject<{
        small320: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small800: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small1280: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small1600: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small2000: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    }, "strip", z.ZodTypeAny, {
        small320?: string | undefined;
        small800?: string | undefined;
        small1280?: string | undefined;
        small1600?: string | undefined;
        small2000?: string | undefined;
    }, {
        small320?: string | null | undefined;
        small800?: string | null | undefined;
        small1280?: string | null | undefined;
        small1600?: string | null | undefined;
        small2000?: string | null | undefined;
    }>>;
    coverSmall: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    curatorAlpha: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    createdAllowReminder: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    customlink: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    emailNewSubscribers: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    emailSettings: z.ZodOptional<z.ZodObject<{
        reminderTwo: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        newSub: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        reminderThree: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        reminderFour: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        emailNewSubscriber: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
        emailNewSubscriberCollective: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>;
    }, "strip", z.ZodTypeAny, {
        reminderTwo?: boolean | undefined;
        newSub?: boolean | undefined;
        reminderThree?: boolean | undefined;
        reminderFour?: boolean | undefined;
        emailNewSubscriber?: boolean | undefined;
        emailNewSubscriberCollective?: boolean | undefined;
    }, {
        reminderTwo?: boolean | null | undefined;
        newSub?: boolean | null | undefined;
        reminderThree?: boolean | null | undefined;
        reminderFour?: boolean | null | undefined;
        emailNewSubscriber?: boolean | null | undefined;
        emailNewSubscriberCollective?: boolean | null | undefined;
    }>>;
    featuredArtists: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodEffects<z.ZodString, string, string>, "many">>>;
    founder: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    freetier: z.ZodOptional<z.ZodDefault<z.ZodBoolean>>;
    frequency: z.ZodOptional<z.ZodDefault<z.ZodString>>;
    launchDraft: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    linkTitles: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodString, "many">>>;
    links: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodString, "many">>>;
    'paypal_plan_2.5': z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>>;
    paypal_plan_5: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>>;
    paypal_plan_10: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>>;
    paypal_product_id: z.ZodOptional<z.ZodUnion<[z.ZodEffects<z.ZodString, never, never>, z.ZodNull]>>;
    posts: z.ZodOptional<z.ZodDefault<z.ZodArray<z.ZodUnion<[z.ZodUnion<[z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("./id.types").BlogIdBrand, string>, z.ZodEffects<z.ZodUnion<[z.ZodLiteral<"COMMON 06">, z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>]>, "COMMON 06" | import("../collective/types").CollectiveIdBrand, string>]>, z.ZodEffects<z.ZodString, import("../mixspace/id.types").MixspaceIdBrand, import("../mixspace/id.types").MixspaceIdBrand>]>, "many">>>;
    profileResolutions: z.ZodOptional<z.ZodObject<{
        small64: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small128: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small256: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
        small480: z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>;
    }, "strip", z.ZodTypeAny, {
        small64?: string | undefined;
        small128?: string | undefined;
        small256?: string | undefined;
        small480?: string | undefined;
    }, {
        small64?: string | null | undefined;
        small128?: string | null | undefined;
        small256?: string | null | undefined;
        small480?: string | null | undefined;
    }>>;
    reminderLaunchSent: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    reverseTitle: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    scheduled: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    show: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNull]>>>, string | undefined, string | null | undefined>>;
    tipButton: z.ZodOptional<z.ZodEffects<z.ZodDefault<z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodNull]>>>, boolean | undefined, boolean | null | undefined>>;
    title: z.ZodOptional<z.ZodDefault<z.ZodString>>;
    admins: z.ZodOptional<z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>, "many">>;
}, "strip", z.ZodTypeAny, {
    admins?: import("../user/types").UserIdBrand[] | undefined;
    description?: string | undefined;
    launched?: boolean | undefined;
    price?: number | undefined;
    stripeProductID?: import("../stripe/types").StripeProductIdBrand | undefined;
    subscribers?: (import("./id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("../mixspace/id.types").MixspaceIdBrand)[] | undefined;
    verified?: boolean | undefined;
    paypal?: boolean | undefined;
    aboutArtist?: string | undefined;
    artist?: string | undefined;
    artistPicSmall?: string | undefined;
    artistPicURL?: string | undefined;
    beneficiaryAccepted?: boolean | undefined;
    communityPage?: boolean | undefined;
    coverPicSmall?: string | undefined;
    coverPicURL?: string | undefined;
    coverPicURLSmall?: string | undefined;
    coverResolutions?: {
        small320?: string | undefined;
        small800?: string | undefined;
        small1280?: string | undefined;
        small1600?: string | undefined;
        small2000?: string | undefined;
    } | undefined;
    coverSmall?: string | undefined;
    curatorAlpha?: boolean | undefined;
    createdAllowReminder?: boolean | undefined;
    customlink?: string | undefined;
    emailNewSubscribers?: boolean | undefined;
    emailSettings?: {
        reminderTwo?: boolean | undefined;
        newSub?: boolean | undefined;
        reminderThree?: boolean | undefined;
        reminderFour?: boolean | undefined;
        emailNewSubscriber?: boolean | undefined;
        emailNewSubscriberCollective?: boolean | undefined;
    } | undefined;
    featuredArtists?: string[] | undefined;
    founder?: boolean | undefined;
    freetier?: boolean | undefined;
    frequency?: string | undefined;
    launchDraft?: string | undefined;
    linkTitles?: string[] | undefined;
    links?: string[] | undefined;
    'paypal_plan_2.5'?: null | undefined;
    paypal_plan_5?: null | undefined;
    paypal_plan_10?: null | undefined;
    paypal_product_id?: null | undefined;
    posts?: (import("./id.types").BlogIdBrand | "COMMON 06" | import("../collective/types").CollectiveIdBrand | import("../mixspace/id.types").MixspaceIdBrand)[] | undefined;
    profileResolutions?: {
        small64?: string | undefined;
        small128?: string | undefined;
        small256?: string | undefined;
        small480?: string | undefined;
    } | undefined;
    reminderLaunchSent?: boolean | undefined;
    reverseTitle?: boolean | undefined;
    scheduled?: boolean | undefined;
    show?: string | undefined;
    tipButton?: boolean | undefined;
    title?: string | undefined;
}, {
    admins?: string[] | undefined;
    description?: string | null | undefined;
    launched?: boolean | undefined;
    price?: number | null | undefined;
    stripeProductID?: string | undefined;
    subscribers?: string[] | undefined;
    verified?: boolean | undefined;
    paypal?: boolean | null | undefined;
    aboutArtist?: string | undefined;
    artist?: string | undefined;
    artistPicSmall?: string | null | undefined;
    artistPicURL?: string | null | undefined;
    beneficiaryAccepted?: boolean | null | undefined;
    communityPage?: boolean | null | undefined;
    coverPicSmall?: string | null | undefined;
    coverPicURL?: string | null | undefined;
    coverPicURLSmall?: string | null | undefined;
    coverResolutions?: {
        small320?: string | null | undefined;
        small800?: string | null | undefined;
        small1280?: string | null | undefined;
        small1600?: string | null | undefined;
        small2000?: string | null | undefined;
    } | undefined;
    coverSmall?: string | null | undefined;
    curatorAlpha?: boolean | null | undefined;
    createdAllowReminder?: boolean | null | undefined;
    customlink?: string | null | undefined;
    emailNewSubscribers?: boolean | null | undefined;
    emailSettings?: {
        reminderTwo?: boolean | null | undefined;
        newSub?: boolean | null | undefined;
        reminderThree?: boolean | null | undefined;
        reminderFour?: boolean | null | undefined;
        emailNewSubscriber?: boolean | null | undefined;
        emailNewSubscriberCollective?: boolean | null | undefined;
    } | undefined;
    featuredArtists?: string[] | undefined;
    founder?: boolean | null | undefined;
    freetier?: boolean | undefined;
    frequency?: string | undefined;
    launchDraft?: string | null | undefined;
    linkTitles?: string[] | undefined;
    links?: string[] | undefined;
    'paypal_plan_2.5'?: null | undefined;
    paypal_plan_5?: null | undefined;
    paypal_plan_10?: null | undefined;
    paypal_product_id?: null | undefined;
    posts?: string[] | undefined;
    profileResolutions?: {
        small64?: string | null | undefined;
        small128?: string | null | undefined;
        small256?: string | null | undefined;
        small480?: string | null | undefined;
    } | undefined;
    reminderLaunchSent?: boolean | null | undefined;
    reverseTitle?: boolean | null | undefined;
    scheduled?: boolean | null | undefined;
    show?: string | null | undefined;
    tipButton?: boolean | null | undefined;
    title?: string | undefined;
}>;
export declare const blogUpdateParamsParser: z.ZodObject<{
    id: z.ZodEffects<z.ZodString, import("./id.types").BlogIdBrand, import("./id.types").BlogIdBrand>;
}, "strip", z.ZodTypeAny, {
    id: import("./id.types").BlogIdBrand;
}, {
    id: import("./id.types").BlogIdBrand;
}>;
export declare const blogUpdateResultParser: z.ZodVoid;
