"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nullableNumberParser = exports.nullableBoolParser = exports.nullableStringParser = exports.nullableUrlStringParser = void 0;
const zod_1 = require("zod");
// todo remove nulls, undefined is fine
exports.nullableUrlStringParser = zod_1.z
    .union([zod_1.z.string().url(), zod_1.z.null()])
    .optional()
    .default(null)
    .transform((b) => b ?? undefined);
exports.nullableStringParser = zod_1.z
    .union([zod_1.z.string(), zod_1.z.null()])
    .optional()
    .default(null)
    .transform((b) => b ?? undefined);
exports.nullableBoolParser = zod_1.z
    .union([zod_1.z.boolean(), zod_1.z.null()])
    .optional()
    .default(null)
    .transform((b) => b ?? undefined);
exports.nullableNumberParser = zod_1.z
    .union([zod_1.z.number(), zod_1.z.null()])
    .optional()
    .default(null)
    .transform((b) => b ?? undefined);
