import { z } from 'zod';
import type { MixspaceId } from './id.types';
import { mixspaceAdminsTraitParser, mixspaceCoreParser, mixspaceParser } from './parsers';
export declare type MixspaceOwnedTrait = z.infer<typeof mixspaceAdminsTraitParser>;
export interface MixspaceIdTrait {
    id: MixspaceId;
}
export interface MixspaceCore extends MixspaceCoreParsed, MixspaceOwnedTrait {
}
export declare type MixspaceCoreParsed = z.infer<typeof mixspaceCoreParser>;
export declare type MixspaceParsed = z.infer<typeof mixspaceParser>;
export declare type MixspaceItemsTrait = Pick<MixspaceCore, 'items'>;
export declare type Mixspace = MixspaceParsed;
