import { z } from 'zod';
export declare const stripePamentMethodOriginIdParser: z.ZodObject<{
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentMethodIdBrand, string>;
    originType: z.ZodLiteral<"stripe">;
}, "strip", z.ZodTypeAny, {
    originType: "stripe";
    originId: import("../stripe/types").StripePaymentMethodIdBrand;
}, {
    originType: "stripe";
    originId: string;
}>;
export declare const paypalPaymentMethodOriginIdParser: z.ZodObject<{
    originId: z.ZodString;
    originType: z.ZodLiteral<"paypal">;
}, "strip", z.ZodTypeAny, {
    originType: "paypal";
    originId: string;
}, {
    originType: "paypal";
    originId: string;
}>;
export declare const paymentMethodCompositeKeyParamsParser: z.ZodDiscriminatedUnion<"originType", z.Primitive, z.ZodObject<{
    originId: z.ZodEffects<z.ZodString, import("../stripe/types").StripePaymentMethodIdBrand, string>;
    originType: z.ZodLiteral<"stripe">;
}, "strip", z.ZodTypeAny, {
    originType: "stripe";
    originId: import("../stripe/types").StripePaymentMethodIdBrand;
}, {
    originType: "stripe";
    originId: string;
}> | z.ZodObject<{
    originId: z.ZodString;
    originType: z.ZodLiteral<"paypal">;
}, "strip", z.ZodTypeAny, {
    originType: "paypal";
    originId: string;
}, {
    originType: "paypal";
    originId: string;
}>>;
export declare const paymentMethodLimitParser: z.ZodDefault<z.ZodNumber>;
export declare const paymentMethodListLimitParser: z.ZodObject<{
    limit: z.ZodDefault<z.ZodNumber>;
}, "strip", z.ZodTypeAny, {
    limit: number;
}, {
    limit?: number | undefined;
}>;
