"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.payoutResultParser = exports.payoutBodyParser = exports.payoutParamsParser = exports.payoutAmountParser = void 0;
const zod_1 = __importDefault(require("zod"));
const parsers_1 = require("../currencies/parsers");
const constants_1 = require("./constants");
const parsers_2 = require("../utils/parsers");
const parsers_serialized_1 = require("./parsers.serialized");
exports.payoutAmountParser = parsers_1.currencyAmountParser;
exports.payoutParamsParser = zod_1.default.object({
    [constants_1.PAYOUT_BATCH_ID_PARAM_NAME]: parsers_2.nonEmptyStringParser,
});
exports.payoutBodyParser = zod_1.default.object({
    items: zod_1.default.record(parsers_serialized_1.payoutBatchItemCompositeKeySerializedParser, exports.payoutAmountParser),
    dry: zod_1.default.boolean().optional().default(true),
});
exports.payoutResultParser = zod_1.default.object({
    successes: zod_1.default.array(parsers_serialized_1.payoutBatchItemCompositeKeySerializedParser),
    failures: zod_1.default.record(parsers_serialized_1.payoutBatchItemCompositeKeySerializedParser, zod_1.default.string()),
});
