"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.payoutBatchItemCompositeKeySerializedParser = void 0;
const zod_1 = __importDefault(require("zod"));
const isomorphism_1 = require("./isomorphism");
const parsers_common_1 = require("./parsers.common");
exports.payoutBatchItemCompositeKeySerializedParser = zod_1.default
    .string()
    .min(Object.keys(parsers_common_1.compositeKeyParsers).length +
    (Object.keys(parsers_common_1.compositeKeyParsers).length - 1) /*at least 1 letter separator is assumed*/)
    .transform((s) => isomorphism_1.payoutBatchItemCompositeKeyIsomorphism.from(s))
    .and(parsers_common_1.payoutBatchItemCompositeKeyParser)
    .transform(isomorphism_1.payoutBatchItemCompositeKeyIsomorphism.to);
