import z from 'zod';
import { UserId } from '../user/types';
import { PayoutMethodOriginType } from '../payoutMethod/types';
import { Currency } from '../currencies/types';
import { payoutBodyParser, payoutParamsParser, payoutResultParser } from './parsers';
declare enum PayoutBatchKeyBrand {
    _ = ""
}
export declare type PayoutBatchKey = string & PayoutBatchKeyBrand;
export declare type PayoutBatchItemCompositeKeySerialized = `${UserId}:${PayoutMethodOriginType}:${Currency}`;
export interface PayoutBatchItemCompositeKey<T extends PayoutMethodOriginType = PayoutMethodOriginType> {
    userId: UserId;
    originType: T;
    currency: Currency;
}
export declare type PayoutBody = z.infer<typeof payoutBodyParser>;
export declare type PayoutParams = z.infer<typeof payoutParamsParser>;
export declare type PayoutResult = z.infer<typeof payoutResultParser>;
export {};
