"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tipCreateResponseParser = exports.tipCreateInputParser = exports.tipOriginTypeParser = exports.tipListResponseParser = exports.tipListQueryParser = void 0;
const zod_1 = __importDefault(require("zod"));
const types_1 = require("../utils/types");
const parsers_1 = require("../payin/parsers");
const constants_1 = require("../payin/constants");
exports.tipListQueryParser = parsers_1.payinListQueryParser;
exports.tipListResponseParser = zod_1.default.any( /*stub*/).transform((0, types_1.cast)());
// export const tipStatusParser = z.enum(TipStatus);
exports.tipOriginTypeParser = zod_1.default.enum(constants_1.PAYIN_ORIGIN_TYPES);
// "api" tip shape; not for use to parse real stripe tips
exports.tipCreateInputParser = zod_1.default.object({}).merge(parsers_1.payinApiSrcDstCompositeParser).merge(parsers_1.payinAmountUnitParser);
exports.tipCreateResponseParser = zod_1.default.any( /*stub*/).transform((0, types_1.cast)());
// export const tipUpdateInputParser = tipApiAmountParser.partial();
// export const tipUpdateParamsParser = tipGetOneParamsParser;
// export const tipUpdateResponseParser = tipCreateResponseParser;
// export const tipDeleteParamsParser = tipGetOneParamsParser;
