import { StripeCustomerId, StripePaymentMethodId } from '../stripe/types';
import { PAYIN_PROVIDER_ORIGIN_TYPES } from './constants';
import { Subset } from '../utils/types';

export type PayinProviderOriginType = typeof PAYIN_PROVIDER_ORIGIN_TYPES[number];
export type PaypalCustomerId = 'paypal';
export type PayinProviderCustomerId = StripeCustomerId | PaypalCustomerId; // TODO + paypal email?
export type PayinProviderCustomerIdPerOriginType = {
  paypal: PaypalCustomerId;
  stripe: StripeCustomerId;
};
// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertPayinProviderCustomerIdPerOriginType = Subset<
  keyof PayinProviderCustomerIdPerOriginType,
  PayinProviderOriginType
>;
export type PayinProviderPaymentMethodIdPerOriginType = {
  paypal: string;
  stripe: StripePaymentMethodId;
};
// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertPayinProviderPaymentMethodIdPerOriginType = Subset<
  keyof PayinProviderPaymentMethodIdPerOriginType,
  PayinProviderOriginType
>;
export type PayinProviderOriginId = PayinProviderCustomerId;
