import { Isomorphism } from '../utils/types';
import { PayoutBatchItemCompositeKey, PayoutBatchItemCompositeKeySerialized } from './types';
import { UserId } from '../user/types';
import { PayoutMethodOriginType } from '../payoutMethod/types';
import { Currency } from '../currencies/types';
import { payoutBatchItemCompositeKeyParser } from './parsers.common';

export const payoutBatchItemCompositeKeyIsomorphism: Isomorphism<
  PayoutBatchItemCompositeKey,
  PayoutBatchItemCompositeKeySerialized
> = {
  to: ({ userId, originType, currency }) => `${userId}:${originType}:${currency}`,
  from: (serialized) => {
    const [userId, originType, currency] = serialized.split(':') as [UserId, PayoutMethodOriginType, Currency, string];
    return payoutBatchItemCompositeKeyParser.parse({
      userId,
      originType,
      currency,
    });
  },
};
