import z from 'zod';
import { userIdParser } from '../user/parsers';
import { payoutMethodOriginTypeParser } from '../payoutMethod/parsers';
import { currencyParser } from '../currencies/parsers';

export const compositeKeyParsers = {
  userId: userIdParser,
  originType: payoutMethodOriginTypeParser,
  currency: currencyParser,
};
export const payoutBatchItemCompositeKeyParser = z.object(compositeKeyParsers);
