import z from 'zod';
import { UserId } from '../user/types';
import { PayoutMethodOriginType } from '../payoutMethod/types';
import { Currency } from '../currencies/types';
import { payoutBodyParser, payoutParamsParser, payoutResultParser } from './parsers';

enum PayoutBatchKeyBrand {
  _ = '',
}

// an uniq key per payout batch operation; serves as an idempotency key for a payout
export type PayoutBatchKey = string & PayoutBatchKeyBrand;

export type PayoutBatchItemCompositeKeySerialized = `${UserId}:${PayoutMethodOriginType}:${Currency}`;
export interface PayoutBatchItemCompositeKey<T extends PayoutMethodOriginType = PayoutMethodOriginType> {
  userId: UserId;
  originType: T;
  currency: Currency;
}

export type PayoutBody = z.infer<typeof payoutBodyParser>;
export type PayoutParams = z.infer<typeof payoutParamsParser>;
export type PayoutResult = z.infer<typeof payoutResultParser>;
