import z from 'zod';
import {
  channelAutocompleteQueryParser,
  channelAutocompleteResultDocParser,
  channelAutocompleteResultParser,
} from './parsers';
import { Subset } from '../../../utils/types';
import { CHANNEL_AUTOCOMPLETE_FIELDS } from './constants';

export type ChannelAutocompleteQuery = z.infer<typeof channelAutocompleteQueryParser>;
export type ChannelAutocompleteResult = z.infer<typeof channelAutocompleteResultParser>;
export type ChannelAutocompleteResultDoc = z.infer<typeof channelAutocompleteResultDocParser>;
// eslint-disable-next-line @typescript-eslint/no-unused-vars
type AssertChannelAutocompleteResultDocParser = Subset<
  typeof CHANNEL_AUTOCOMPLETE_FIELDS[number],
  keyof ChannelAutocompleteResultDoc
>;
