import z from 'zod';
import type { ApiTip } from './types';
import { cast } from '../utils/types';
import type { ListResponseTrait } from '../response/types';
import { payinApiSrcDstCompositeParser, payinListQueryParser, payinAmountUnitParser } from '../payin/parsers';
import { PAYIN_ORIGIN_TYPES } from '../payin/constants';

export const tipListQueryParser = payinListQueryParser;

export const tipListResponseParser = z.any(/*stub*/).transform(cast<ListResponseTrait<ApiTip>>());
// export const tipStatusParser = z.enum(TipStatus);
export const tipOriginTypeParser = z.enum(PAYIN_ORIGIN_TYPES);
// "api" tip shape; not for use to parse real stripe tips
export const tipCreateInputParser = z.object({}).merge(payinApiSrcDstCompositeParser).merge(payinAmountUnitParser);
export const tipCreateResponseParser = z.any(/*stub*/).transform(cast<ApiTip>());

// export const tipUpdateInputParser = tipApiAmountParser.partial();
// export const tipUpdateParamsParser = tipGetOneParamsParser;
// export const tipUpdateResponseParser = tipCreateResponseParser;
// export const tipDeleteParamsParser = tipGetOneParamsParser;
