import z from 'zod';
export declare const payoutBatchItemCompositeKeySerializedParser: z.ZodEffects<z.ZodIntersection<z.ZodEffects<z.ZodString, import("./types").PayoutBatchItemCompositeKey<"paypal" | "stripe">, string>, z.ZodObject<{
    userId: z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>, import("../user/types").UserIdBrand, string>;
    originType: z.ZodEnum<["stripe", "paypal"]>;
    currency: z.ZodEnum<["AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BOV", "BRL", "BSD", "BTN", "BWP", "BYN", "BZD", "CAD", "CDF", "CHE", "CHF", "CHW", "CLF", "CLP", "CNY", "COP", "COU", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "INR", "IQD", "IRR", "ISK", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRU", "MUR", "MVR", "MWK", "MXN", "MXV", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SRD", "SSP", "STN", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TWD", "TZS", "UAH", "UGX", "USD", "USN", "UYI", "UYU", "UYW", "UZS", "VES", "VND", "VUV", "WST", "XAF", "XAG", "XAU", "XBA", "XBB", "XBC", "XBD", "XCD", "XDR", "XOF", "XPD", "XPF", "XPT", "XSU", "XTS", "XUA", "XXX", "YER", "ZAR", "ZMW", "ZWL"]>;
}, "strip", z.ZodTypeAny, {
    userId: import("../user/types").UserIdBrand;
    originType: "paypal" | "stripe";
    currency: "USD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
}, {
    userId: string;
    originType: "paypal" | "stripe";
    currency: "USD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
}>>, ":paypal:USD" | ":paypal:AED" | ":paypal:AFN" | ":paypal:ALL" | ":paypal:AMD" | ":paypal:ANG" | ":paypal:AOA" | ":paypal:ARS" | ":paypal:AUD" | ":paypal:AWG" | ":paypal:AZN" | ":paypal:BAM" | ":paypal:BBD" | ":paypal:BDT" | ":paypal:BGN" | ":paypal:BHD" | ":paypal:BIF" | ":paypal:BMD" | ":paypal:BND" | ":paypal:BOB" | ":paypal:BOV" | ":paypal:BRL" | ":paypal:BSD" | ":paypal:BTN" | ":paypal:BWP" | ":paypal:BYN" | ":paypal:BZD" | ":paypal:CAD" | ":paypal:CDF" | ":paypal:CHE" | ":paypal:CHF" | ":paypal:CHW" | ":paypal:CLF" | ":paypal:CLP" | ":paypal:CNY" | ":paypal:COP" | ":paypal:COU" | ":paypal:CRC" | ":paypal:CUC" | ":paypal:CUP" | ":paypal:CVE" | ":paypal:CZK" | ":paypal:DJF" | ":paypal:DKK" | ":paypal:DOP" | ":paypal:DZD" | ":paypal:EGP" | ":paypal:ERN" | ":paypal:ETB" | ":paypal:EUR" | ":paypal:FJD" | ":paypal:FKP" | ":paypal:GBP" | ":paypal:GEL" | ":paypal:GHS" | ":paypal:GIP" | ":paypal:GMD" | ":paypal:GNF" | ":paypal:GTQ" | ":paypal:GYD" | ":paypal:HKD" | ":paypal:HNL" | ":paypal:HRK" | ":paypal:HTG" | ":paypal:HUF" | ":paypal:IDR" | ":paypal:ILS" | ":paypal:INR" | ":paypal:IQD" | ":paypal:IRR" | ":paypal:ISK" | ":paypal:JMD" | ":paypal:JOD" | ":paypal:JPY" | ":paypal:KES" | ":paypal:KGS" | ":paypal:KHR" | ":paypal:KMF" | ":paypal:KPW" | ":paypal:KRW" | ":paypal:KWD" | ":paypal:KYD" | ":paypal:KZT" | ":paypal:LAK" | ":paypal:LBP" | ":paypal:LKR" | ":paypal:LRD" | ":paypal:LSL" | ":paypal:LYD" | ":paypal:MAD" | ":paypal:MDL" | ":paypal:MGA" | ":paypal:MKD" | ":paypal:MMK" | ":paypal:MNT" | ":paypal:MOP" | ":paypal:MRU" | ":paypal:MUR" | ":paypal:MVR" | ":paypal:MWK" | ":paypal:MXN" | ":paypal:MXV" | ":paypal:MYR" | ":paypal:MZN" | ":paypal:NAD" | ":paypal:NGN" | ":paypal:NIO" | ":paypal:NOK" | ":paypal:NPR" | ":paypal:NZD" | ":paypal:OMR" | ":paypal:PAB" | ":paypal:PEN" | ":paypal:PGK" | ":paypal:PHP" | ":paypal:PKR" | ":paypal:PLN" | ":paypal:PYG" | ":paypal:QAR" | ":paypal:RON" | ":paypal:RSD" | ":paypal:RUB" | ":paypal:RWF" | ":paypal:SAR" | ":paypal:SBD" | ":paypal:SCR" | ":paypal:SDG" | ":paypal:SEK" | ":paypal:SGD" | ":paypal:SHP" | ":paypal:SLL" | ":paypal:SOS" | ":paypal:SRD" | ":paypal:SSP" | ":paypal:STN" | ":paypal:SVC" | ":paypal:SYP" | ":paypal:SZL" | ":paypal:THB" | ":paypal:TJS" | ":paypal:TMT" | ":paypal:TND" | ":paypal:TOP" | ":paypal:TRY" | ":paypal:TTD" | ":paypal:TWD" | ":paypal:TZS" | ":paypal:UAH" | ":paypal:UGX" | ":paypal:USN" | ":paypal:UYI" | ":paypal:UYU" | ":paypal:UYW" | ":paypal:UZS" | ":paypal:VES" | ":paypal:VND" | ":paypal:VUV" | ":paypal:WST" | ":paypal:XAF" | ":paypal:XAG" | ":paypal:XAU" | ":paypal:XBA" | ":paypal:XBB" | ":paypal:XBC" | ":paypal:XBD" | ":paypal:XCD" | ":paypal:XDR" | ":paypal:XOF" | ":paypal:XPD" | ":paypal:XPF" | ":paypal:XPT" | ":paypal:XSU" | ":paypal:XTS" | ":paypal:XUA" | ":paypal:XXX" | ":paypal:YER" | ":paypal:ZAR" | ":paypal:ZMW" | ":paypal:ZWL" | ":stripe:USD" | ":stripe:AED" | ":stripe:AFN" | ":stripe:ALL" | ":stripe:AMD" | ":stripe:ANG" | ":stripe:AOA" | ":stripe:ARS" | ":stripe:AUD" | ":stripe:AWG" | ":stripe:AZN" | ":stripe:BAM" | ":stripe:BBD" | ":stripe:BDT" | ":stripe:BGN" | ":stripe:BHD" | ":stripe:BIF" | ":stripe:BMD" | ":stripe:BND" | ":stripe:BOB" | ":stripe:BOV" | ":stripe:BRL" | ":stripe:BSD" | ":stripe:BTN" | ":stripe:BWP" | ":stripe:BYN" | ":stripe:BZD" | ":stripe:CAD" | ":stripe:CDF" | ":stripe:CHE" | ":stripe:CHF" | ":stripe:CHW" | ":stripe:CLF" | ":stripe:CLP" | ":stripe:CNY" | ":stripe:COP" | ":stripe:COU" | ":stripe:CRC" | ":stripe:CUC" | ":stripe:CUP" | ":stripe:CVE" | ":stripe:CZK" | ":stripe:DJF" | ":stripe:DKK" | ":stripe:DOP" | ":stripe:DZD" | ":stripe:EGP" | ":stripe:ERN" | ":stripe:ETB" | ":stripe:EUR" | ":stripe:FJD" | ":stripe:FKP" | ":stripe:GBP" | ":stripe:GEL" | ":stripe:GHS" | ":stripe:GIP" | ":stripe:GMD" | ":stripe:GNF" | ":stripe:GTQ" | ":stripe:GYD" | ":stripe:HKD" | ":stripe:HNL" | ":stripe:HRK" | ":stripe:HTG" | ":stripe:HUF" | ":stripe:IDR" | ":stripe:ILS" | ":stripe:INR" | ":stripe:IQD" | ":stripe:IRR" | ":stripe:ISK" | ":stripe:JMD" | ":stripe:JOD" | ":stripe:JPY" | ":stripe:KES" | ":stripe:KGS" | ":stripe:KHR" | ":stripe:KMF" | ":stripe:KPW" | ":stripe:KRW" | ":stripe:KWD" | ":stripe:KYD" | ":stripe:KZT" | ":stripe:LAK" | ":stripe:LBP" | ":stripe:LKR" | ":stripe:LRD" | ":stripe:LSL" | ":stripe:LYD" | ":stripe:MAD" | ":stripe:MDL" | ":stripe:MGA" | ":stripe:MKD" | ":stripe:MMK" | ":stripe:MNT" | ":stripe:MOP" | ":stripe:MRU" | ":stripe:MUR" | ":stripe:MVR" | ":stripe:MWK" | ":stripe:MXN" | ":stripe:MXV" | ":stripe:MYR" | ":stripe:MZN" | ":stripe:NAD" | ":stripe:NGN" | ":stripe:NIO" | ":stripe:NOK" | ":stripe:NPR" | ":stripe:NZD" | ":stripe:OMR" | ":stripe:PAB" | ":stripe:PEN" | ":stripe:PGK" | ":stripe:PHP" | ":stripe:PKR" | ":stripe:PLN" | ":stripe:PYG" | ":stripe:QAR" | ":stripe:RON" | ":stripe:RSD" | ":stripe:RUB" | ":stripe:RWF" | ":stripe:SAR" | ":stripe:SBD" | ":stripe:SCR" | ":stripe:SDG" | ":stripe:SEK" | ":stripe:SGD" | ":stripe:SHP" | ":stripe:SLL" | ":stripe:SOS" | ":stripe:SRD" | ":stripe:SSP" | ":stripe:STN" | ":stripe:SVC" | ":stripe:SYP" | ":stripe:SZL" | ":stripe:THB" | ":stripe:TJS" | ":stripe:TMT" | ":stripe:TND" | ":stripe:TOP" | ":stripe:TRY" | ":stripe:TTD" | ":stripe:TWD" | ":stripe:TZS" | ":stripe:UAH" | ":stripe:UGX" | ":stripe:USN" | ":stripe:UYI" | ":stripe:UYU" | ":stripe:UYW" | ":stripe:UZS" | ":stripe:VES" | ":stripe:VND" | ":stripe:VUV" | ":stripe:WST" | ":stripe:XAF" | ":stripe:XAG" | ":stripe:XAU" | ":stripe:XBA" | ":stripe:XBB" | ":stripe:XBC" | ":stripe:XBD" | ":stripe:XCD" | ":stripe:XDR" | ":stripe:XOF" | ":stripe:XPD" | ":stripe:XPF" | ":stripe:XPT" | ":stripe:XSU" | ":stripe:XTS" | ":stripe:XUA" | ":stripe:XXX" | ":stripe:YER" | ":stripe:ZAR" | ":stripe:ZMW" | ":stripe:ZWL", string & {
    userId: string;
    originType: "paypal" | "stripe";
    currency: "USD" | "AED" | "AFN" | "ALL" | "AMD" | "ANG" | "AOA" | "ARS" | "AUD" | "AWG" | "AZN" | "BAM" | "BBD" | "BDT" | "BGN" | "BHD" | "BIF" | "BMD" | "BND" | "BOB" | "BOV" | "BRL" | "BSD" | "BTN" | "BWP" | "BYN" | "BZD" | "CAD" | "CDF" | "CHE" | "CHF" | "CHW" | "CLF" | "CLP" | "CNY" | "COP" | "COU" | "CRC" | "CUC" | "CUP" | "CVE" | "CZK" | "DJF" | "DKK" | "DOP" | "DZD" | "EGP" | "ERN" | "ETB" | "EUR" | "FJD" | "FKP" | "GBP" | "GEL" | "GHS" | "GIP" | "GMD" | "GNF" | "GTQ" | "GYD" | "HKD" | "HNL" | "HRK" | "HTG" | "HUF" | "IDR" | "ILS" | "INR" | "IQD" | "IRR" | "ISK" | "JMD" | "JOD" | "JPY" | "KES" | "KGS" | "KHR" | "KMF" | "KPW" | "KRW" | "KWD" | "KYD" | "KZT" | "LAK" | "LBP" | "LKR" | "LRD" | "LSL" | "LYD" | "MAD" | "MDL" | "MGA" | "MKD" | "MMK" | "MNT" | "MOP" | "MRU" | "MUR" | "MVR" | "MWK" | "MXN" | "MXV" | "MYR" | "MZN" | "NAD" | "NGN" | "NIO" | "NOK" | "NPR" | "NZD" | "OMR" | "PAB" | "PEN" | "PGK" | "PHP" | "PKR" | "PLN" | "PYG" | "QAR" | "RON" | "RSD" | "RUB" | "RWF" | "SAR" | "SBD" | "SCR" | "SDG" | "SEK" | "SGD" | "SHP" | "SLL" | "SOS" | "SRD" | "SSP" | "STN" | "SVC" | "SYP" | "SZL" | "THB" | "TJS" | "TMT" | "TND" | "TOP" | "TRY" | "TTD" | "TWD" | "TZS" | "UAH" | "UGX" | "USN" | "UYI" | "UYU" | "UYW" | "UZS" | "VES" | "VND" | "VUV" | "WST" | "XAF" | "XAG" | "XAU" | "XBA" | "XBB" | "XBC" | "XBD" | "XCD" | "XDR" | "XOF" | "XPD" | "XPF" | "XPT" | "XSU" | "XTS" | "XUA" | "XXX" | "YER" | "ZAR" | "ZMW" | "ZWL";
}>;
